# org.apache.ignite.internal.processors.cache.persistence.snapshot

## Interfaces

- SnapshotDiscoveryMessage
- SnapshotOperation

## Classes

- IgniteCacheSnapshotManager
- IgniteSnapshotManager
- IgniteSnapshotManager.ClusterSnapshotFuture
- SnapshotMetadata
- SnapshotMetadataCollectorTask
- SnapshotMXBeanImpl
- SnapshotOperationRequest
- SnapshotPartitionsVerifyTask
- SnapshotPartitionsVerifyTaskArg
- SnapshotPartitionsVerifyTaskResult
- SnapshotRestoreProcess

## Exceptions

- IgniteSnapshotVerifyException
- TrackingPageIsCorruptedException